Блог пользователя Alpha_Q

Автор Alpha_Q, история, 4 года назад, По-английски

We invite you to participate in CodeChef’s June Cook-Off, this Sunday, 21st June, from 9:30 pm to 12:00 am IST. 2.5 hours, 5 problems.

We will also be hosting a live problems discussion session for Cook-Off problems with our panelist Rajarshi RestingRajarshi Basu on 23rd June, 4 pm IST. You can register by clicking on the GOING button at the top right corner here. Also, if you have some original and engaging problem ideas, and you’re interested in them being used in CodeChef's contests, you can share them here.

Joining us on the problem setting panel are:

Prizes: Top 10 Indian and top 10 Global participants will receive CodeChef laddus, with which the winners can claim cool CodeChef goodies. Know more here.

Good luck and have fun!

  • Проголосовать: нравится
  • +129
  • Проголосовать: не нравится

»
4 года назад, # |
  Проголосовать: нравится +18 Проголосовать: не нравится

It would be great if we get CF rounds also from this trio.

»
4 года назад, # |
  Проголосовать: нравится +71 Проголосовать: не нравится

Overlaps with SRM :(

»
4 года назад, # |
  Проголосовать: нравится +5 Проголосовать: не нравится

Bump: who wants a ___ contest? Starts in ~699s ( ͡o ͜ʖ ͡o)

»
4 года назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

how to solve per capita?

  • »
    »
    4 года назад, # ^ |
      Проголосовать: нравится +1 Проголосовать: не нравится

    DSU and some implementation stuffs , note that we will take maximum value of fraction among the nodes and all nodes with maximum fractional value can be our answer.

  • »
    »
    4 года назад, # ^ |
    Rev. 3   Проголосовать: нравится +5 Проголосовать: не нравится

    Just run DFS across nodes with same ratio from each node with maximal ratio and return the largest found connected component.

»
4 года назад, # |
  Проголосовать: нравится +32 Проголосовать: не нравится

Editorials for all problems posted here. Hope you guys had fun!

»
4 года назад, # |
  Проголосовать: нравится +3 Проголосовать: не нравится

Did anyone solve the last problem using suffix automata? If so, can anyone tell me why this code is giving tle? My solution has a complexity of O(N * K * 4).

  • »
    »
    4 года назад, # ^ |
      Проголосовать: нравится 0 Проголосовать: не нравится

    Have shared it with tester (I'm not good in cpp). He'll have a look.

  • »
    »
    4 года назад, # ^ |
      Проголосовать: нравится +33 Проголосовать: не нравится

    You should read the guide to auto-vectorization. Trying to vectorize/unrolling a code that isn't vectorizable will actually slow down your code.
    You code gets AC in 2.17 sec without those pragmas.

    • »
      »
      »
      4 года назад, # ^ |
      Rev. 2   Проголосовать: нравится +8 Проголосовать: не нравится

      Oh. I actually coded another solution without pragma, and that had an even more bad constant factor, so I added the pragma at that time. Didn't think it would slow down the code to the point of not getting AC. Nvm, thanks for informing!

      Btw, I ended up not solving any problem because of this xD.

»
4 года назад, # |
  Проголосовать: нравится +11 Проголосовать: не нравится

How much time does it take to receive Laddus from CodeChef? I got top10 a month ago and I still dont have it.

»
4 года назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

Applied the Same Approach as in editorial for PERCAPTA, But getting TLE Please help https://www.codechef.com/viewsolution/34621506

»
4 года назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

Could you please help. I got AC, here https://www.codechef.com/viewsolution/34623614 but WA https://www.codechef.com/viewsolution/34623659 here. The only difference is the vector sort of the key vector. Can anyone please tell me what is wrong with the second code.

  • »
    »
    4 года назад, # ^ |
      Проголосовать: нравится +8 Проголосовать: не нравится

    By default auto makes copy of elements across iteration. If you need to change content of the container you should use auto& which makes reference to element, not a copy.

»
4 года назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

Thanks for this contest, it was amazing and it went amazing, I became a 4 star :)

»
4 года назад, # |
  Проголосовать: нравится +13 Проголосовать: не нравится

Easter egg: carry bed —> barrycade

»
4 года назад, # |
Rev. 2   Проголосовать: нравится 0 Проголосовать: не нравится

In problem Per Capita Income I was getting tle when i used comparator function as

bool com (pair p1, pair p2 ) {
  return (p1.F * p2.S >= p2.F * p1.s )
}

an got AC when i changed >= to >.

»
4 года назад, # |
Rev. 2   Проголосовать: нравится 0 Проголосовать: не нравится

Help needed again, I am confused with how the C++ pow function works. I got AC in this https://www.codechef.com/viewsolution/34635562 (line 147) and WA https://www.codechef.com/viewsolution/34626034 (line 142). The difference between the two is only in the respective lines.

  • »
    »
    4 года назад, # ^ |
      Проголосовать: нравится +3 Проголосовать: не нравится

    The use of pow() implies a cast to double. Double used less than 64 bytes for precission, you get precission loss.

    You can instead use self written integer version of pow. Also, there is a good chance of making it work by casting the pow arguments to long double, since that uses more bits for precission, and the long double version of pow().